IntegrationsMongoDB

Find documents in one collection with a MongoDB query filter, optional projection and sort, bounded by limit.

POST
/integrations/connections/{connection_id}/providers/mongodb/documents/find

Find documents in one collection with a MongoDB query filter, optional projection and sort, bounded by limit.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/mongodb/documents/find" \  -H "Content-Type: application/json" \  -d '{    "collection": "example"  }'
{  "documents": [],  "document_count": 0,  "has_more": false,  "truncated": false}